You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2018-08-01 09:52:28

SadLife
Guest
Registered: 2018-08-01
Posts: 1

[GLPI 9.3] Impossible d'exécuter le script innodb_migration.php . HELP

Bonjour à tous,

Suite au passage de la version 9.2 à la 9.3, je me suis aperçu que je devais migrer mes bdd vers Innodb.

Problème, lorsque j'exécute le script qui semble fonctionnel chez tous le monde, je me retrouve avec cette erreur:

 ~/glpi/scripts# php innodb_migration.php
Error: GLPI seems to not be configured properly.
config_db.php file is missing.
Please connect to GLPI web interface to complete the install process.
PHP Warning:  Unknown: open(/root/glpi/files/_sessions/sess_issuh7pa74oorc821oa2f64i51, O_RDWR) failed: No such file or directory (2) in Unknown on line 0
PHP Warning:  Unknown: Failed to write session data (files). Please verify that the current setting of session.save_path is correct (/root/glpi/files/_sessions)

Je suis encore débutant, surtout dans le domaine du libre, actuellement en alternance sans tuteur dans une PME, et donc je n'ai personne à qui me référer à part vous smile

GLPI 9.3
Debian 9
Mariadb

Offline

#2 2018-10-12 09:36:06

blerohellec
Guest
From: Paris
Registered: 2015-04-08
Posts: 84

Re: [GLPI 9.3] Impossible d'exécuter le script innodb_migration.php . HELP

Positionne toi d'abord dans le répertoire ../glpi/config. C'est là qu'il trouve le fichier config_db.php


Benoit Le Rohellec
blerohellec@tlsconsulting.eu
www.tlsconsulting.eu

Offline

#3 2018-10-17 11:07:54

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 14,405

Re: [GLPI 9.3] Impossible d'exécuter le script innodb_migration.php . HELP

Il faut d'abord vers la migration de 9.2 en 9.3 en ensuite seulement passer le script.
Si vous n'avez pas de fichier config_db.php c'est que votre GLPI n'est pas installé


CentOS 6.5 - CentOS 7
PHP 5.6 - PHP 7 - MySQL 5.6  + APC + oOPcache
GLPI from 0.72 to dev version
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

Board footer

Powered by FluxBB